net.sourceforge.pmd.ast

## Class ASTSwitchLabelTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.ParserTst
  - - net.sourceforge.pmd.ast.ASTSwitchLabelTest

    public class ASTSwitchLabelTest
    extends ParserTst

### Constructor Summary

Constructors
Constructor and Description
`ASTSwitchLabelTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testDefaultOff()`
`void` `testDefaultSet()`

### Methods inherited from class net.sourceforge.pmd.testframework.ParserTst

`buildDFA, getNodes, getNodes, getOrderedNodes, parseJava, parseJava13, parseJava14, parseJava15, parseJava17`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ASTSwitchLabelTest

    public ASTSwitchLabelTest()

### Method Detail

#### testDefaultOff

    public void testDefaultOff()
                        throws Throwable

Throws:
  `Throwable`

#### testDefaultSet

    public void testDefaultSet()
                        throws Throwable

Throws:
  `Throwable`

#### suite

    public static junit.framework.Test suite()